# 2.4.1. Global commands

The following commands are available globally:

bclose

  close a buffer

  optional arguments
    —redraw:

      redraw current buffer after command has finished

    —force:

      never ask for confirmation

bnext

  focus next buffer

bprevious

  focus previous buffer

buffer

  focus buffer with given index

  argument

    buffer index to focus

bufferlist

  open a list of active buffers

call

  execute python code

  argument

    python command string to call

compose

  compose a new email

  argument

    None

  optional arguments
    —sender:

      sender

    —template:

      path to a template message file

    —tags:

      comma-separated list of tags to apply to message

    —subject:

      subject line

    —to:

      recipients

    —cc:

      copy to

    —bcc:

      blind copy to

    —attach:

      attach files

    —omit_signature:

      do not add signature

    —spawn:

      spawn editor in new terminal

confirmsequence

  prompt to confirm a sequence of commands

  argument

    Additional message to prompt

exit

  shut down cleanly

flush

  flush write operations or retry until committed

help

  display help for a command (use ‘bindings’ to display all keybindings interpreted in current mode)

  argument

    command or ‘bindings’

move

  move focus in current buffer

  argument

    up, down, [half]page up, [half]page down, first, last

namedqueries

  opens named queries buffer

prompt

  prompts for commandline and interprets it upon select

  argument

    initial content

pyshell

  open an interactive python shell for introspection

refresh

  refresh the current buffer

reload

  reload all configuration files

removequery

  removes a “named query” from the database

  argument

    alias to remove

  optional arguments
    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)

repeat

  repeat the command executed last time

savequery

  store query string as a “named query” in the database

  positional arguments

    0: alias to use for query string 1: query string to store

  optional arguments
    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)

search

  open a new search buffer. Search obeys the notmuch search.exclude_tags setting.

  argument

    search string

  optional arguments
    —sort:

      sort order; valid choices are: ‘oldest_first’,’newest_first’,’message_id’,’unsorted’

shellescape

  run external command

  argument

    command line to execute

  optional arguments
    —spawn:

      run in terminal window

    —thread:

      run in separate thread

    —refocus:

      refocus current buffer after command has finished

taglist

  opens taglist buffer

  optional arguments
    —tags:

      tags to display